Subject: Re: [PATCH 0/8] Sequencer Foundations

From: Jonathan Nieder <[email-masked]>
Date: Thu, 12 May 2011 06:44:15 -0500

Jonathan Nieder wrote:
> Christian Couder wrote:

>> I think that the risk at this point might be to overengineer things
>> and to lose time, and then we will perhaps find out that we need to do
>> some refactoring of the merge_recursive API anyway.
>
> I agree with the general principle... let's see if I understand the
> details of what you are saying.

It occurs to me now that you were probably talking about the
suggestion of using the lockfile API (i.e., the write temporary/rename
trick).  In that case, I agree --- no need to overengineer it and
concurrency problems can be fixed later.  Sorry for an overcomplicated
explanation.

And thanks for looking out for these things.